Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.xml.security.wsse
Class SecurityElementFactory

    java.lang.Object
      |
      +--weblogic.xml.security.wsse.SecurityElementFactory

public abstract class SecurityElementFactory
extends java.lang.Object

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.

Constructor Summary
`SecurityElementFactory()`

Method Summary
`abstract Security` | `createSecurity(java.lang.String role)` Creates a Security element targetted to the designated actor/role.
`abstract Token` | `createToken(java.lang.String username, java.lang.String password)` Create a token for the username/password provided, using the default password type.
`abstract Token` | `createToken(java.lang.String username, java.lang.String password, java.lang.String type)` Creates a Token for the username/password using the given password type.
`abstract Token` | `createToken(UserInfo userInfo)` Creates a token for the given userInfo using the default password type.
`abstract Token` | `createToken(java.security.cert.X509Certificate cert, java.security.PrivateKey key)` Creates a Token for the provided certificate.
`static SecurityElementFactory` | `getDefaultFactory()` Returns the SecurityElementFactory, i.e.
`static SecurityElementFactory` | `newInstance(java.lang.String namespace)` Creates a new SecurityElementFactory.
`static void` | `setDefaultFactory(SecurityElementFactory factory)` sets the defaultFactory to the provided factory.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SecurityElementFactory

    public SecurityElementFactory()

Method Detail

### getDefaultFactory

    public static final SecurityElementFactory getDefaultFactory()

  Returns the SecurityElementFactory, i.e. the factory that generates elements for the preferred version of WSSE for the release

  Returns:

### setDefaultFactory

    public static final void setDefaultFactory(SecurityElementFactory factory)

  sets the defaultFactory to the provided factory.

  Parameters:
    `factory` -

### newInstance

    public static final SecurityElementFactory newInstance(java.lang.String namespace)

  Creates a new SecurityElementFactory. The factory will generate elements for the specification version designated by the provided namespace.

  Parameters:
    `namespace` -
  Returns:

### createSecurity

    public abstract Security createSecurity(java.lang.String role)

  Creates a Security element targetted to the designated actor/role.

  Parameters:
    `role` - a string
  Returns:
    Security a security element

### createToken

    public abstract Token createToken(java.lang.String username,
                                      java.lang.String password,
                                      java.lang.String type)

  Creates a Token for the username/password using the given password type.

  Parameters:
    `username` -
    `password` -
    `type` -
  Returns:

### createToken

    public abstract Token createToken(java.lang.String username,
                                      java.lang.String password)

  Create a token for the username/password provided, using the default password type.

  Parameters:
    `username` -
    `password` -
  Returns:

### createToken

    public abstract Token createToken(UserInfo userInfo)

  Creates a token for the given userInfo using the default password type.

  Parameters:
    `userInfo` -
  Returns:

### createToken

    public abstract Token createToken(java.security.cert.X509Certificate cert,
                                      java.security.PrivateKey key)

  Creates a Token for the provided certificate. The private key should be the private key matching the public key in the certificate. It may be null if the key is not available. Without the private key, the token cannot be used for signing.

  Parameters:
    `cert` -
    `key` -
  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD